For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Payments
          • Stored Instruments (Beta)
              • POSTCreate Instrument Access Token
              • GETList Instruments
              • POSTBulk Import Instruments
              • PUTUpdate Instrument
              • DELBulk Delete Instruments
              • DELRemove Instrument from Store and Gateway
              • GETList Available Payment Method Ids
        • Methods
          • Transactions (Beta)
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminPaymentsStored Instruments (Beta)Manage Instruments

List Instruments

Beta
GET
https://api.bigcommerce.com/stores/:store_hash/v3/payments/stored-instruments
GET
/stores/:store_hash/v3/payments/stored-instruments
$curl https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "customer_id": 12345,
5 "token": "a3f5c9d8e7b6421f9a0c3d4e5f67890123456789abcdef0123456789abcdef0",
6 "type": "credit_card",
7 "is_default": true,
8 "brand": "visa",
9 "expiry_month": 12,
10 "expiry_year": 2027,
11 "iin": "411111",
12 "last_4": "4242",
13 "billing_address": {
14 "first_name": "Jane",
15 "last_name": "Doe",
16 "email": "jane.doe@example.com",
17 "company": "Doe Enterprises",
18 "address1": "123 Elm Street",
19 "address2": "Apt 4B",
20 "city": "Springfield",
21 "state_or_province": "Illinois",
22 "state_or_province_code": "IL",
23 "country_code": "US",
24 "phone": "217-555-0198",
25 "postal_code": "62704"
26 }
27 }
28 ],
29 "meta": {
30 "pagination": {
31 "total": 1,
32 "count": 1,
33 "per_page": 1,
34 "current_page": 1,
35 "total_pages": 1,
36 "links": {
37 "previous": "",
38 "current": "https://api.bigcommerce.com/stores/abc123/v3/payments/stored-instruments?page=1&limit=1",
39 "next": ""
40 }
41 },
42 "cursor_pagination": {
43 "count": 1,
44 "per_page": 1,
45 "start_cursor": "YXJyYXljb25uZWN0aW9uOjA=",
46 "end_cursor": "YXJyYXljb25uZWN0aW9uOjA=",
47 "links": {
48 "previous": "",
49 "next": ""
50 }
51 }
52 }
53}

Lists all available stored instruments for a store. This list will include all types of stored instruments namely card, account, and bank_account instruments.

Was this page helpful?
Previous

Create Instrument Access Token

Next

Bulk Import Instruments

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Create Payments | create | `store_payments_access_token_create` | | Get Payment Methods | read-only | `store_payments_methods_read` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pageintegerOptional
The requested page.
limitintegerOptional
The maximum number of results.
afterstringOptional

The cursor reference of the last entry for the previous page. Use the end_cursor value from the last response to get the next page (end_cursor is only returned on the first page or when the request contains query parameter before or after). For example after=ODc%3D.

beforestringOptional

The cursor reference of the first entry for the next page. Use the start_cursor value from the last response to get the previous page (start_cursor is only returned on the first page or when the request contains query parameter before or after). For example before=ODg%3D.

Response

OK
datalist of objects
metaobject

Data about the response, including pagination and collection totals. Both pagination and cursor_pagination would be returned on the first page. Only pagination will be returned when you provide the page parameter, which is greater than the first page. Only cursor_pagination would be returned when you provide the before or after parameters in the request that are greater than the first page.

Errors

401
Unauthorized Error

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.